package com.ho.filecenter.service;


import com.ho.filecenter.entity.PowerDetail;
import com.ho.filecenter.vo.DetailVo;
import com.ho.filecenter.vo.PowerDetailVo;

import java.util.List;

/**
 * @author yy
 * @description 针对表【power_detail】的数据库操作Service
 * @createDate 2023-03-16 10:59:17
 */
public interface PowerDetailService {

    List<PowerDetail> selectByPid(Integer id);

    int deleteBatch(List<Integer> ids,List<Integer> pids);

    void addBatch(List<PowerDetail> powerDetailList);

    PowerDetailVo selectDetails(DetailVo vo);
}
